## org.jCharts.axisChart.customRenderers.axisValue.renderers
Class ValueLabelPosition

    java.lang.Object
      org.jCharts.axisChart.customRenderers.axisValue.renderers.ValueLabelPosition

    public class ValueLabelPosition

extends Object

Field Summary
`static ValueLabelPosition` `ABOVE_ZERO_LINE`
`static ValueLabelPosition` `AT_TOP`
`static ValueLabelPosition` `AXIS_BOTTOM`
`static ValueLabelPosition` `AXIS_TOP`
`static ValueLabelPosition` `ON_TOP`
`private int` `position`

Constructor Summary
`protected` `ValueLabelPosition(int position)`

Method Summary
`boolean` `equals(ValueLabelPosition valueLabelPosition)`
`int` `getPosition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_TOP

    public static final ValueLabelPosition ON_TOP

### AT_TOP

    public static final ValueLabelPosition AT_TOP

### ABOVE_ZERO_LINE

    public static final ValueLabelPosition ABOVE_ZERO_LINE

### AXIS_TOP

    public static final ValueLabelPosition AXIS_TOP

### AXIS_BOTTOM

    public static final ValueLabelPosition AXIS_BOTTOM

### position

    private int position

Constructor Detail

### ValueLabelPosition

    protected ValueLabelPosition(int position)

Parameters:
  `position` -

Method Detail

### getPosition

    public int getPosition()

  Returns:

### equals

    public final boolean equals(ValueLabelPosition valueLabelPosition)

  Parameters:
    `valueLabelPosition` -
  Returns:
    boolean